2024-09-17 00:51:42 UTC
982 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
SWIFT_BRANCHswift-6.0-release
SWIFT_PLATFORMubi9
SWIFT_SIGNING_KEY52BB7E3DE28A71BE22EC05FFEF80A866B47A981F
SWIFT_VERSIONswift-6.0-RELEASE
SWIFT_WEBROOThttps://download.swift.org
containeroci
[#000] sha256:40049f9dc50417693bf704b63a02d64347b23867b33ac7776be3fae4a2d178b0 - 7.73% (75.9 MB)
[#001] sha256:6d9a66895f2050bb1f7a63af284986f3596bc55259a5d766a2d65d89306d86ec - 11.92% (117 MB)
[#002] sha256:ef2774014e09ebb2fa83d8a2b9fc7483dbb4a612cb897a3f50f4bd45129b43de - 80.35% (789 MB)
[#003] sha256:53dc7ba5ac78e501d20469ff13b17a01a4e63fad33e6d8e3f279a4e0b60e0d64 - 0.0% (174 Bytes)
/bin/sh -c #(nop) ADD file:0067eb9f2ee25ab2d666a7639a85fe707b582902a09242761abf30c53664069b in /
2024-09-17 00:51:42 UTC/bin/sh -c mv -f /etc/yum.repos.d/ubi.repo /tmp || :
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) ADD file:5b1f650e1376d79fa3a65df4a154ea5166def95154b52c1c1097dfd8fc7d58eb in /tmp/tls-ca-bundle.pem
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) ADD multi:7a67822d03b1a3ddb205cc3fcf7acd9d3180aef5988a5d25887bc0753a7a493b in /etc/yum.repos.d/
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-container" name="ubi9" version="9.4"
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) LABEL summary="Provides the latest release of Red Hat Universal Base Image 9."
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) LABEL description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9"
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) LABEL io.openshift.expose-services=""
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) LABEL io.openshift.tags="base rhel9"
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) ENV container oci
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) ENV PATH /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2024-09-17 00:51:42 UTC/bin/sh -c rm -rf /var/log/*
2024-09-17 00:51:42 UTC/bin/sh -c mkdir -p /var/log/rhsm
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) ADD file:ed34e436a5c2cc729eecd8b15b94c75028aea1cb18b739cafbb293b5e4ad5dae in /root/buildinfo/content_manifests/ubi9-container-9.4-1214.1726694543.json
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) ADD file:d56bb1961538221b52d7e292418978f186bf67b9906771f38530fc3996a9d0d4 in /root/buildinfo/Dockerfile-ubi9-9.4-1214.1726694543
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) LABEL "release"="1214.1726694543" "distribution-scope"="public" "vendor"="Red Hat, Inc." "build-date"="2024-09-18T21:23:30" "architecture"="x86_64" "vcs-type"="git" "vcs-ref"="e309397d02fc53f7fa99db1371b8700eb49f268f" "io.k8s.description"="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly." "url"="https://access.redhat.com/containers/#/registry.access.redhat.com/ubi9/images/9.4-1214.1726694543"
2024-09-17 00:51:42 UTC/bin/sh -c rm -f '/etc/yum.repos.d/odcs-3496925-3b364.repo' '/etc/yum.repos.d/rhel-9.4-compose-34ae9.repo'
2024-09-17 00:51:42 UTC/bin/sh -c rm -f /tmp/tls-ca-bundle.pem
2024-09-17 00:51:42 UTC/bin/sh -c mv -fZ /tmp/ubi.repo /etc/yum.repos.d/ubi.repo || :
2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>
2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)LABEL description=Docker Container for the Swift programming language
2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c yum -y install git gcc-c++ libcurl-devel libedit-devel libuuid-devel libxml2-devel ncurses-devel python3-devel rsync sqlite-devel unzip zip # buildkit
2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F
2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)ARG SWIFT_PLATFORM=ubi9
2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)ARG SWIFT_BRANCH=swift-6.0-release
2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)ARG SWIFT_VERSION=swift-6.0-RELEASE
2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)ARG SWIFT_WEBROOT=https://download.swift.org
2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-6.0-release SWIFT_VERSION=swift-6.0-RELEASE SWIFT_WEBROOT=https://download.swift.org
2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-6.0-release SWIFT_VERSION=swift-6.0-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && echo $SWIFT_BIN_URL && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz # buildkit
2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-6.0-release SWIFT_VERSION=swift-6.0-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c swift --version # buildkit
2024-09-17 00:51:42 UTC
970 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
SWIFT_BRANCHswift-6.0-release
SWIFT_PLATFORMubi9
SWIFT_SIGNING_KEY52BB7E3DE28A71BE22EC05FFEF80A866B47A981F
SWIFT_VERSIONswift-6.0-RELEASE
SWIFT_WEBROOThttps://download.swift.org
containeroci
[#000] sha256:642dd3de0a7ba3fef28a56da54f6c6b620e3bdff1c55b20751a3029bea383326 - 7.6% (73.8 MB)
[#001] sha256:f6c76da7f7952f608a13aafb0e3eb1613de41b053dd21b310a2d9588c9ca9511 - 11.49% (111 MB)
[#002] sha256:e32b1129369064aa6a6d2392a20506ffa9f9b787933cfcf90a305d053ea33aae - 80.91% (785 MB)
[#003] sha256:fe5209fea90de839ee33d06fb5a315850f5de96eb64070882aad71b38ea1a877 - 0.0% (174 Bytes)
/bin/sh -c #(nop) ADD file:d6101aaaa0ea140d84b6346291651ad4d2bce8c444478e1fc83508b02136ec0f in /
2024-09-17 00:51:42 UTC/bin/sh -c mv -f /etc/yum.repos.d/ubi.repo /tmp || :
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) ADD file:5b1f650e1376d79fa3a65df4a154ea5166def95154b52c1c1097dfd8fc7d58eb in /tmp/tls-ca-bundle.pem
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) ADD multi:7a67822d03b1a3ddb205cc3fcf7acd9d3180aef5988a5d25887bc0753a7a493b in /etc/yum.repos.d/
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-container" name="ubi9" version="9.4"
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) LABEL summary="Provides the latest release of Red Hat Universal Base Image 9."
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) LABEL description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9"
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) LABEL io.openshift.expose-services=""
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) LABEL io.openshift.tags="base rhel9"
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) ENV container oci
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) ENV PATH /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2024-09-17 00:51:42 UTC/bin/sh -c rm -rf /var/log/*
2024-09-17 00:51:42 UTC/bin/sh -c mkdir -p /var/log/rhsm
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) ADD file:6744b3d23896832934836f8b77190150a7f9f836065a064436c5b9dc47a95425 in /root/buildinfo/content_manifests/ubi9-container-9.4-1214.1726694543.json
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) ADD file:19c58e8e8129cd749e0ec129d64db36f9eb2b3729bc034e6755ab07ad478a419 in /root/buildinfo/Dockerfile-ubi9-9.4-1214.1726694543
2024-09-17 00:51:42 UTC/bin/sh -c #(nop) LABEL "release"="1214.1726694543" "distribution-scope"="public" "vendor"="Red Hat, Inc." "build-date"="2024-09-18T21:23:30" "architecture"="aarch64" "vcs-type"="git" "vcs-ref"="e309397d02fc53f7fa99db1371b8700eb49f268f" "io.k8s.description"="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly." "url"="https://access.redhat.com/containers/#/registry.access.redhat.com/ubi9/images/9.4-1214.1726694543"
2024-09-17 00:51:42 UTC/bin/sh -c rm -f '/etc/yum.repos.d/odcs-3496925-3b364.repo' '/etc/yum.repos.d/rhel-9.4-compose-34ae9.repo'
2024-09-17 00:51:42 UTC/bin/sh -c rm -f /tmp/tls-ca-bundle.pem
2024-09-17 00:51:42 UTC/bin/sh -c mv -fZ /tmp/ubi.repo /etc/yum.repos.d/ubi.repo || :
2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>
2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)LABEL description=Docker Container for the Swift programming language
2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c yum -y install git gcc-c++ libcurl-devel libedit-devel libuuid-devel libxml2-devel ncurses-devel python3-devel rsync sqlite-devel unzip zip # buildkit
2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F
2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)ARG SWIFT_PLATFORM=ubi9
2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)ARG SWIFT_BRANCH=swift-6.0-release
2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)ARG SWIFT_VERSION=swift-6.0-RELEASE
2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)ARG SWIFT_WEBROOT=https://download.swift.org
2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-6.0-release SWIFT_VERSION=swift-6.0-RELEASE SWIFT_WEBROOT=https://download.swift.org
2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-6.0-release SWIFT_VERSION=swift-6.0-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && echo $SWIFT_BIN_URL && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz # buildkit
2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-6.0-release SWIFT_VERSION=swift-6.0-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c swift --version # buildkit
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.